Subject: Re: Regression: patch " hvc_console: display printk messages on console." causing infinite loop with 3.2-rc0 + Xen.

From: Greg KH <[email-masked]>
Date: Mon, 7 Nov 2011 12:24:51 -0800

On Mon, Nov 07, 2011 at 05:19:42PM +1100, Stephen Rothwell wrote:
> Hi Greg,
> 
> On Wed, 2 Nov 2011 18:30:12 -0700 Greg KH <[email-masked]> wrote:
> >
> > On Wed, Nov 02, 2011 at 12:13:09PM +1100, Stephen Rothwell wrote:
> > > 
> > > On Thu, 27 Oct 2011 07:48:06 +0200 Greg KH <[email-masked]> wrote:
> > > >
> > > > On Thu, Oct 27, 2011 at 01:30:08AM -0400, Konrad Rzeszutek Wilk wrote:
> > > > > Hey Miche.
> > > > > 
> > > > > The git commit 361162459f62dc0826b82c9690a741a940f457f0:
> > > > > 
> > > > >     hvc_console: display printk messages on console.
> > > > > 
> > > > > is causing an infinite loop when booting Linux under Xen, as so:
> > > > 
> > > > Ick, not good, thanks for letting us know.
> > > 
> > > Indeed. I am wondering why it was put in a tree and sent to Linus without
> > > any Acks or even being replied to by anyone.  It appeared in the tty tree
> > > between Oct 14 and Oct 25 (while I was unfortunately on vacation).  If
> > > anyone had tried to boot this on any PowerPC server, it would have been
> > > immediately obvious (as it was when I booted Linus' tree last night).
> > > 
> > > And the original author expressed doubts as to his understanding of how
> > > it should all work anyway.
> > > 
> > > Just a little more care, please.
> > > 
> > > I would vote for reverting the original and having it resubmitted with
> > > corrections at some later date.
> > 
> > You are right, I will go do that, sorry for the problems.
> 
> Ping ...
> 
> Linus can you please just revert 361162459f62dc0826b82c9690a741a940f457f0
> "hvc_console: display printk messages on console" as it breaks consoles
> for all PowerPC server machines.

Thanks for doing this, I was going to include it in my next pull request
after 3.2-rc1 was out, but you are right, it should have gone in sooner.

greg k-h